Bug 102634 - res_query reports error in multi threaded application
res_query reports error in multi threaded application
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-19 02:35 EDT by Saurabh Mathur
Modified: 2016-11-24 10:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-05 13:52:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh Mathur 2003-08-19 02:35:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
We have written a simple application for doing SMTP MX record query using   the
res_query function. This API returns error "No such process" (error number 3)
whenever it is called from a thread that has been invoked. From the main thread
or single threaded application, this API works fine. 

The same sample test applicaiton works fine when compiled and run on 6.2 redhat
Linux installation in single and multi threaded application but fails on the
Redhat 8.0 release.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Write a multi threaded program.
2. From the new thread, call res_query for MX records. 
3. In case, error is returned, print the error string.
    

Actual Results:  The program retuns "No Such Process"

Expected Results:  It must have done the DNS resolution for MX record and
returned the IP address of the machine.

Additional info:
Comment 1 Ngo Than 2003-08-19 13:32:14 EDT
i assign it to correct component 
Comment 2 Jakub Jelinek 2003-08-25 12:06:43 EDT
Please supply a minimal testcase to show what exactly you're doing and
what you expect it to do.
Comment 3 Ulrich Drepper 2003-10-03 14:25:48 EDT
Ping.  Without a test case we cannot do anything.   I'll keep the bug open for a
bit longer.
Comment 4 Ulrich Drepper 2003-11-05 13:52:53 EST
No response in a month.  No bug in sight.  Closing.

Note You need to log in before you can comment on or make changes to this bug.